#ifndef INC_ADDREM_H
#define INC_ADDREM_H

/* Operation switches */
#define SWITCH_NONE   0x00 /* No switches (looks prettier than a plain 0 would) */
#define SWITCH_FORCE  0x01 /* Bypass header detection */
#define SWITCH_BACKUP 0x10 /* Make a backup before operation */

/* Error codes */
#define ERROR_OPENREAD 1 /* Problem opening file to read */
#define ERROR_TOOSMALL 2 /* File is way too small to be an SNES rom */
#define ERROR_NOHEADER 3 /* Tried to remove a header, but there isn't one */
#define ERROR_HEADER   4 /* Tried to add a header, but there is one already */
#define ERROR_NOBACKUP 5 /* Failed to save backup */

/* Unimportant shit */
#define BACKUP_SUFFIX "~" /* e.g. "somefile.smc" gets saved as "somefile.smc~" */
#define TEMPNAME      ".stripsnes_temp" /* This gets deleted, so... */

/* Function prototypes */
int remHeader(char *fname, int switches);
int addHeader(char *fname, int switches);

#endif /* INC_ADDREM_H */

